php-ast_0.1.6-2_amd64.deb


Advertisement

Description

php-ast - AST extension for PHP 7

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename php-ast_0.1.6-2_amd64.deb
Package name php-ast
Package version 0.1.6
Package release 2
Package architecture amd64
Package type deb
Category universe/php
Homepage http://pecl.php.net/package/Ast
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 26.43 KB
Installed size 91.00 KB
This extension exposes the abstract syntax tree generated by PHP 7.

Alternatives

Package Version Architecture Repository
php-ast_0.1.6-2_i386.deb 0.1.6 i386 Ubuntu Universe
php-ast - - -

Requires

Name Value
libc6 >= 2.14
php-common >= 1:7.0+33~
phpapi-20170718 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package php-ast_0.1.6-2_amd64.deb
Source Package php-ast

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php-ast deb package:
    # sudo apt-get install php-ast

Files

Path
/etc/php/7.2/mods-available/ast.ini
/usr/lib/php/20170718/ast.so
/usr/share/doc/php-ast/README.md.gz
/usr/share/doc/php-ast/changelog.Debian.gz
/usr/share/doc/php-ast/copyright

Changelog

2018-08-19 - Ondřej Surý <ondrej@debian.org>
php-ast (0.1.6-2) unstable; urgency=medium
* Update Vcs-* to salsa.d.o
* Update maintainer email to team+php-pecl@tracker.debian.org
(Closes: #899964)
2018-02-01 - Ondřej Surý <ondrej@debian.org>
php-ast (0.1.6-1) unstable; urgency=medium
* Fix the README.md location (Closes: #887353)
* New upstream version 0.1.6 (Closes: #887351)
2017-07-31 - Ondřej Surý <ondrej@debian.org>
php-ast (0.1.5-1) unstable; urgency=medium
* Change debian/watch to PECL
* Switch packaging to PECL version
* New upstream version 0.1.5
2017-07-06 - Ondřej Surý <ondrej@debian.org>
php-ast (0.1.4-1) unstable; urgency=medium
* Add d/watch
* New upstream version 0.1.4
2016-12-07 - Ondřej Surý <ondrej@debian.org>
php-ast (0.1.2-3) unstable; urgency=medium
* Use custom d/rules with override to actually build anything usefull
(Closes: #847293)
2016-12-05 - Ondřej Surý <ondrej@debian.org>
php-ast (0.1.2-2) unstable; urgency=medium
* Convert to dh_php package debian/rules
2016-12-05 - Ondřej Surý <ondrej@debian.org>
php-ast (0.1.2-1) unstable; urgency=medium
* Imported Upstream version 0.1.2
2016-02-29 - Ondřej Surý <ondrej@debian.org>
php-ast (0.1.1-2) unstable; urgency=medium
* Force rebuild with dh_php >= 0.7
2015-12-18 - Ondřej Surý <ondrej@debian.org>
php-ast (0.1.1-1) unstable; urgency=low
* Initial release

See Also

Package Description
php-auth-sasl_1.0.6-3_all.deb Abstraction of various SASL mechanism responses
php-bcmath_7.2+69ubuntu1_all.deb Bcmath module for PHP [default]
php-bz2_7.2+69ubuntu1_all.deb bzip2 module for PHP [default]
php-cache-integration-tests_0.16.0-2_all.deb Integration tests for PSR-6 and PSR-16 cache implementations
php-cache-lite_1.8.2-1build2_all.deb Fast and Safe little cache system
php-cache-tag-interop_1.0.0-1_all.deb Framework interoperable interfaces for tags
php-cas_1.3.6-1_all.deb Central Authentication Service client library in php
php-cassandra_1.3.0-1build1_amd64.deb DataStax PHP Driver for Apache Cassandra
php-cboden-ratchet_0.4.1-2_all.deb PHP WebSocket library
php-cocur-slugify_3.1-1_all.deb Converts a string to a slug for PHP
php-codecoverage_6.1.4+dfsg-1_all.deb collection, processing, and rendering for code coverage
php-codesniffer_3.4.0-2_all.deb PHP, CSS and JavaScript coding standard analyzer and checker
php-composer-ca-bundle_1.1.4-1_all.deb utility library to find a path to the system CA bundle
php-composer-semver_1.4.2-1_all.deb utilities, version constraint parsing and validation
php-composer-spdx-licenses_1.5.0-1_all.deb SPDX licenses list and validation library
Advertisement
Advertisement